## Fonctionalités futures ?

- Raccourcis syntaxique pour "Not Null" : *nomChamp / [*Type]
- Affichage des dépendances fonctionnelles, des règles ensemblistes
- Colaration syntaxique dans l'éditeur de code source

- Support des contraintes entre associations
- Validation par un jeu de données (et contrôle du respect des formes normales)
- Repositionnement graphique des boîtes sur la grille
- Support des fichiers Dia, Umbrello, PlantUML
- Ajout d'alternatives syntaxiques (attention, perte de compatibilité Mocodo) :

	 - Héritage: SousClasse C Classe, SousClasse(Classe), SousClasse1, SousClasse2 C [XT] CLasse, SousClasse --|> Classe
	 - Associations:
		- Ecrire (Livre->Auteur): [1/un] Auteur Ecrit [de] 1 à N Livre[s], [1/un] livre est écrit par 1 et 1 seul auteur
		- Livre >--Ecrire-- Auteur, Livre --Ecrire--> Auteur, Auteur >--Ecrire--< Livre
		- AvoirPourPere/EtrePereDe: Personne [enfant] -->> Personne [père], EtrePereDe: Personne [pere] <<-- Personne [enfant]
		- Personne [pere] <--< Personne [enfant]
		- Pays -- Fleuve -- Mer
		- Compositeur, Oeuvre -> date
		- Ternaire --< Ent1, Ent2, Ent3

- Génération de jeux d'essais (fausses données), depuis base de données (auteurs, compositeurs, chanteurs, acteurs, ..., films, livres, ...)
- Affichage de l'explication des cardinalités
- Conception à partir des dépendances fonctionnelles
- Conception par l'exemple (à partir de données, détermination des dépendances fonctionnelles)
- Interpréteur SQL avec chargement de jeux d'essai
- Générateur d'exercices SQL / programmation (Auto-corrigés ou imprimés)
- Support de la retroconception à partir de code
- Support complet (génération de base de données et rétroconception) de PostgreSQL (correctif StdLib Haxe)
- Support du Python (correctif StdLib Haxe)
- Édition collaborative
- Vidéos et tutoriels de présentation de l'outil

